// SourceMod Configuration File
// This file is automatically executed by SourceMod every mapchange.


// Specifies how admin activity should be relayed to users.  Add up the values
// below to get the functionality you want.
// 1: Show admin activity to non-admins anonymously.
// 2: If 1 is specified, admin names will be shown.
// 4: Show admin activity to admins anonymously.
// 8: If 4 is specified, admin names will be shown.
// 16: Always show admin names to root users.
// --
// Default: 13 (1+4+8)
sm_show_activity 13

// Specifies whether menu sounds are enabled for menus created by SourceMod.
// Menu sounds can be further configured in addons/sourcemod/configs/core.cfg.
// --
// Default: 1
sm_menu_sounds 1

// Specifies how long of a delay, in seconds, should be used in between votes 
// that are "public" or can be spammed.  Whether or not this delay is obeyed 
// is dependent on the menu/command.
// --
// Default: 30
sm_vote_delay 30

// Default datetime formatting rules when displaying to clients.
// For full options, see: http://www.opengroup.org/onlinepubs/007908799/xsh/strftime.html
// --
// Default: %m/%d/%Y - %H:%M:%S
// 12 hour format: %m/%d/%Y - %I:%M:%S %p
sm_datetime_format "%m/%d/%Y - %H:%M:%S"

// Sets how SourceMod should check immunity levels when administrators target 
// each other.
// 0: Ignore immunity levels (except for specific group immunities).
// 1: Protect from admins of lower access only.
// 2: Protect from admins of equal to or lower access.
// 3: Same as 2, except admins with no immunity can affect each other.
// --
// Default: 1
sm_immunity_mode 1

// Sets how many seconds SourceMod should adjust time values for incorrect 
// server clocks.  This can be positive or negative and will affect every 
// system time in SourceMod, including logging stamps.
// --
// Default: 0
sm_time_adjustment 0

// Specifies the amount of time that is allowed between chat messages.  This
// includes the say and say_team commands.  If a client sends a message faster
// than this time, they receive a flood token.  When the client has accumulated
// 3 or more tokens, a warning message is shown instead of the chat message.
// --
// Requires: antiflood.smx
// Default: 0.75
sm_flood_time 0.75

// Specifies how the reserved slots plugin operates. Valid values are:
// 0 : Public slots are used in preference to reserved slots. Reserved slots are freed before public slots.
// 1 : If someone with reserve access joins into a reserved slot, the player with the highest latency and 
// no reserved slot access (spectator players are selected first) is kicked to make room. Thus, the reserved
// slots always remains free. The only situation where the reserved slot(s) can become properly occupied is 
// if the server is full with reserve slot access clients.
// --
// Requires: reservedslots.smx
// Default: 0
sm_reserve_type 0

// Specifies the number of reserved player slots.  Users with the reservation
// admin flag set will be able to join the server when there are no public slots
// remaining. If someone does not have this flag, they will be kicked.
// (Public slots are defined as: maxplayers - number of reserved slots)
// --
// Requires: reservedslots.smx
// Default: 0
sm_reserved_slots 0

// Specifies whether or not reserved slots will be hidden (subtracted from max
// slot count). Valid values are 0 (Visible) or 1 (Hidden).
// --
// Requires: reservedslots.smx
// Default: 0
sm_hide_slots 0

// Specifies whether or not non-admins can send messages to admins using
// say_team @<message>. Valid values are 0 (Disabled) or 1 (Enabled)
// --
// Requires: basechat.smx
// Default: 1
sm_chat_mode 1

// Specifies whether or not "timeleft" will automaticly be triggered every
// x seconds. Valid values are 0 (Disabled) to 1800 seconds.
// --
// Requires: basetriggers.smx
// Default: 0
sm_timeleft_interval 0

// Specifies whether or not chat triggers are broadcast to the server or just
// the player who requested the info trigger. Valid values are 0 (Disabled) or
// 1 (Enabled)
// --
// Requires: basetriggers.smx
// Default: 1
sm_trigger_show 1

// Specifies whether or not to display vote progress to clients in the
// "hint" box (near the bottom of the screen in most games).
// Valid values are 0 (Disabled) or 1 (Enabled).
// --
// Default: 0
sm_vote_progress_hintbox 0

// Specifies whether or not to display vote progress to clients in the
// chat area. Valid values are 0 (Disabled) or 1 (Enabled).
// --
// Default: 0
sm_vote_progress_chat 0

// Specifies whether or not to display vote progress in the server console.
// Valid values are 0 (Disabled) or 1 (Enabled).
// --
// Default: 0
sm_vote_progress_console 0

// Specifies whether or not to display vote progress to clients in the
// client console. Valid values are 0 (Disabled) or 1 (Enabled).
// --
// Default: 0
sm_vote_progress_client_console 0

//ammo
sm_cvar ammo_assaultrifle_max 1500 //360
sm_cvar ammo_huntingrifle_max 300 //180
sm_cvar ammo_pipebomb_max 5 //1
sm_cvar ammo_molotov_max 5 //1
sm_cvar ammo_buckshot_max 400 //128
sm_cvar ammo_smg_max 3000 //480


//zombies 
sm_cvar z_health "100"
sm_cvar z_speed "100"
sm_cvar z_walk_speed "100"
sm_cvar z_common_limit "200"
sm_cvar z_background_limit "100"
sm_cvar z_mob_spawn_max_size "40"
sm_cvar z_mob_spawn_min_size "20"
sm_cvar z_mega_mob_size "60"
sm_cvar z_max_blood_scale "10" 
sm_cvar z_acquire_far_range "9000"
sm_cvar z_acquire_far_time "0"
sm_cvar z_acquire_near_range "500"
sm_cvar z_acquire_near_time "0"
sm_cvar z_hear_gunfire_range "1000"
sm_cvar z_spawn_mobs_behind_chance "40"
sm_cvar z_mob_spawn_max_interval_expert "100"
sm_cvar z_mob_spawn_max_interval_hard "100"
sm_cvar z_mob_spawn_max_interval_normal "100"
sm_cvar z_mob_spawn_max_interval_easy "100"
sm_cvar z_mob_spawn_min_interval_expert "50"
sm_cvar z_mob_spawn_min_interval_hard "50"
sm_cvar z_mob_spawn_min_interval_normal "50"
sm_cvar z_mob_spawn_min_interval_easy "50"
sm_cvar z_mega_mob_spawn_max_interval "210"
sm_cvar z_mega_mob_spawn_min_interval "120"
sm_cvar z_hit_from_behind_factor "3"
sm_cvar director_no_specials 0 //0
sm_cvar director_special_battlefield_respawn_interval 40 //10 
sm_cvar director_special_finale_offer_length 40 //10
sm_cvar director_special_initial_spawn_delay_max 240 //60
sm_cvar director_special_initial_spawn_delay_max_extra 540 //180
sm_cvar director_special_initial_spawn_delay_min 120 //30
sm_cvar director_special_original_offer_length 90 //30
sm_cvar director_special_respawn_interval 180 //45

//Survivor Stats
sm_cvar survivor_revive_health "70"
sm_cvar sv_visiblemaxplayers                 -1
sm_cvar l4d_maxplayers                        6
sm_cvar sb_add zoey
sm_cvar sb_add bill
sm_cvar sb_add francis
sm_cvar sb_add zoey
sm_cvar sb_add bill
sm_cvar sb_add francis
sm_cvar survivor_burn_factor_easy 0.2
sm_cvar survivor_burn_factor_expert 0.2
sm_cvar survivor_burn_factor_hard 0.2
sm_cvar survivor_burn_factor_normal 0.2
sm_cvar survivor_friendly_fire_factor_easy 0
sm_cvar survivor_friendly_fire_factor_expert 0.1
sm_cvar survivor_friendly_fire_factor_hard 0.1
sm_cvar survivor_friendly_fire_factor_normal 0.1
sm_cvar rescue_distance 3000
sm_cvar rescue_min_dead_time 40
sm_cvar survivor_max_incapacitated_count 3

//Shots to body do alot less damage
sm_cvar z_non_head_damage_factor_easy "0.2"
sm_cvar z_non_head_damage_factor_expert "0.2"
sm_cvar z_non_head_damage_factor_hard "0.2"
sm_cvar z_non_head_damage_factor_normal "0.2"

//Gibs and decapitations
sm_cvar z_gib_limb_distance "1000"
sm_cvar z_gib_limb_distance_buckshot "1000"

//Slower melee, weapon kick, Tracer, Close Range Damage Bonus
sm_cvar z_gun_range "50"
sm_cvar z_gun_swing_interval "1"
sm_cvar z_gun_swing_duration "0.1"
sm_cvar z_gun_kick "1"
sm_cvar z_tracer_spacing "2"
sm_cvar z_shotgun_bonus_damage_multiplier "2"
sm_cvar z_shotgun_bonus_damage_range "200"

//Items
sm_cvar director_scavenge_item_override "1"
sm_cvar director_pain_pill_density "9"
sm_cvar director_pipe_bomb_density "9"
sm_cvar director_molotov_density "9"
sm_cvar director_pistol_density "9"
sm_cvar director_gas_can_density "9"
sm_cvar director_oxygen_tank_density "9"
sm_cvar director_propane_tank_density "9"
sm_cvar z_minigun_overheat_time "60"



